Subject: emacs GNU Emacs 22.3.1 (i386-pc-solaris2.10, X toolkit)

From: "Michael E. Thomadakis" <[email-masked]>
Date: Mon, 20 Oct 2008 17:27:48 -0500

I 've just finished compiling GNU emacs 22.3.1 on Solaris 10 (on an 
AMD64) with ./configure line:

  env CC="cc -m32" CFLAGS='-O2' ./configure --with-xpm --with-jpeg 
--with-tiff --with-gif --with-png

where cc is the latest C Workshop 12 Solaris 10 compiler, but when I run it
% ./src/emacs

Memory exhausted--use M-x save-some-buffers then exit and restart Emacs

However, when I use the -nw option the text window emacs launches properly.

Note that I was trying to build a 64-bit version of emacs

env CC="cc -m64" CFLAGS='' ./configure --with-xpm --with-jpeg 
--with-tiff --with-gif --with-png

but src/temacs was core dumping.

Do I need to change anything in the configre line or in the setup of 
Solaris 10 ?

Note that:
[ src > locale
LANG=en_US.UTF-8
LC_CTYPE=en_US.UTF-8
LC_NUMERIC=en_US.UTF-8
LC_TIME=en_US.UTF-8
LC_COLLATE=en_US.UTF-8
LC_MONETARY=en_US.UTF-8
LC_MESSAGES=en_US.UTF-8
LC_ALL=en_US.UTF-8

Any help or hint would be greatly appreciated.

Michael